Device Usage Control Inquiry

The Device Usage Control Inquiry API enables the cardholder to get the current and future status of device (card) usage controls like international and domestic ATM, POS, E-commerce, contactless, MDES in-app or VTS in-app, MDES contactless or VTS contactless, and MDES token QR transactions activation and deactivation. This API returns the following activations or deactivations for the applicable transaction channel depending on the activation period.

  • If the activationType is periodic or for a specific duration, then current activations or deactivations are returned for periodic and immediate activation.
  • If the activationType parameter value is L (Lifelong), only the latest effective entry is returned. The Device Usage Control Inquiry API is applicable for prepaid, credit, and debit products. Either of device identifier, device number, packID or device number alias parameter is mandatory.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
200OKThe server successfully processed the request.
400MISSING_REQUIRED_FIELDError example: Missing Required Field 'productType'.
400INVALID_FIELD_VALUE'productType' field value 'pre-paid' is invalid.
400RECORD_NOT_FOUNDDevice record not found based on the given input.
400UNIQUE_RECORD_NOT_FOUNDMultiple records found for given search criteria.
403PERMISSION_DENIEDIt seems you don't have permission to access this API.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length ≤ 64
^[0-9a-fA-F]{64}$

Hex-encoded SHA-256 digest of the recipient's RSA public key used for encryption, which serves as an identifier for the key.

string
required
^[0-9a-fA-F]+$

One-time use AES key encrypted by the Pine Labs public key (as identified by publicKeyFingerprint) using the PKCS#1 v1.5 scheme. It must be hex-encoded.

string
enum

Indicates the digest algorithm used with the RSA-OAEP scheme. The valid value is: NONE.

Allowed:
string
length between 32 and 32
^[0-9a-fA-F]{32}$

The initialization vector used when encrypting data using the one-time use AES key. Must be exactly 16 bytes (32-character hex string) to match the block size. If not present, an IV of zero is assumed.

string
required
^[0-9a-fA-F]+$

CDM request data to be encrypted by the ephemeral AES key using CBC mode (IV as provided in 'iv', or zero if none provided) and PKCS#7 padding. It must be hex-encoded.

filter
object

Meta information that provides control over output result set.

device

Device identification details, at least one of identifier, packId, alias, or number is mandatory.

string
enum
length ≤ 1

Used to retrieve both current and future applicable device usage controls as per the value sent in the field. Valid values: Y (Retrieves the current and future device usage control activations and deactivations), N (Retrieves as on date current device usage control activations and deactivations), Null (If no value is provided, then the default value of N is considered). Default value is 'N'.

Allowed:
string
required
length ≤ 29
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?([+-]\d{2}:\d{2}|Z)$

The date and time after which this encrypted data object is considered invalid. Expressed in ISO-8601 extended format. Must be either YYYY-MM-DDThh:mm:ss[.sss]Z or YYYY-MM-DDThh:mm:ss[.sss]±hh:mm where [.sss] is optional and can be 1 to 3 digits.

Headers
string
^[a-zA-Z0-9-]{1,100}$

API consumer can share X-MC-Correlation-ID in HTTP header for API requests. If it is not shared then the system generates a unique value for each request. X-MC-Correlation-ID must be unique for each request, Maximum supported length – 100 alphanumeric characters.

string

API consumer can share X-MC-Source (optional field) in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

string
enum

API consumer can share X-MC-Channel (optional field) in HTTP header for API requests. It is the network or channel through which request is routed. The only available value for Channel is API.

Allowed:
Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json